Subject: Re: cygport: CYGCMAKE_SOURCE seems to have no effect.
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Thu, 16 Sep 2021 11:48:10 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-09-16 09:18, Carlo B. via Cygwin wrote:
> Hello,
> I'm trying to make a package for CYGWIN to provide liblo, but I'm
> having some difficulties.
> This library is available to the most used linux distributions (but
> not limited to), here there is the link to the one into a Debian as
> example:
> 
> https://packages.debian.org/buster/liblo-dev
> 
> I implemented a script for cygport but this is the output on the
> console when I execute it:
> 
> $ cygport liblo.cygport all
>>>> Preparing liblo-0.31-1.x86_64
>>>> Unpacking source liblo-0.31.tar.gz
>>>> Preparing working source directory
>>>> Compiling liblo-0.31-1.x86_64
> *** ERROR: cygcmake: cmake directory not found
> 
> The unique aspect of this library is that the CMakeLists.txt file is
> not into the root of the source tree, but it is located into a
> subfolder, see here:
> 
> https://github.com/radarsat1/liblo/tree/master/cmake
> 
> So, in my script, I configured ${CYGCMAKE_SOURCE} to point there, but
> it still cannot make it working. Since it seems that I'm not able to
> make it working in any way, I'm wondering if the behaviour of this
> variable has been ever tested, so I'm writing here with the hope to
> receive a suggestion.
> 
> Thank you very much for your support.

Worked just fine for a recent update of fortune-mod.

See online or under your Cygwin directory:

	https://cygwin.github.io/cygport/cmake_cygclass.html#robo765

	cygstart /usr/share/doc/cygport/html/manual/cmake_cygclass.html

Try directory specification rather than path - cygport often just DTRT:

	CYGCMAKE_SOURCE=cmake

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

> =======> And this is the content of my liblo.cygport file:
> 
> inherit cmake
> 
> NAME="liblo"
> VERSION=0.31
> RELEASE=1
> CATEGORY="Audio"
> SUMMARY="Open Sound Control protocol for POSIX systems"
> DESCRIPTION="Open Sound Control (OSC) is a protocol for communication
>   among computers, sound synthesizers, and other multimedia devices that
>   is optimized for modern networking technology."
> HOMEPAGE="http://liblo.sourceforge.net/"
> SRC_URI="http://downloads.sourceforge.net/liblo/liblo-${VERSION}.tar.gz"
> 
> PKG_NAMES="liblo1 liblo-devel"
> PKG_IGNORE="
>      usr/share/doc/liblo/AUTHORS
>      usr/share/doc/liblo/COPYING
>      usr/share/doc/liblo/ChangeLog
>      usr/share/doc/liblo/NEWS
>      usr/share/doc/liblo/README
>      usr/share/doc/liblo/TODO
> "
> 
> liblo1_CATEGORY="Libs"
> liblo1_SUMMARY="${SUMMARY}"
> liblo1_CONTENTS="
>      usr/bin/cyglo-7.dll
>      usr/bin/oscdump.exe
>      usr/bin/oscsend.exe
> "
> liblo_devel_CATEGORY="Libs"
> liblo_devel_SUMMARY="${SUMMARY}"
> liblo_devel_CONTENTS="
>      usr/include/lo/*
>      usr/lib/liblo.dll.a
>      usr/lib/pkgconfig/liblo.pc
>      usr/lib/cmake/liblo/libloConfig.cmake
> "
> 
> CYGCMAKE_SOURCE="${S}/cmake"

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple